ChangeSet 1.1608.24.2, 2004/02/26 14:08:02-08:00, stern@rowland.harvard.edu

[PATCH] USB Storage: update unusual_devs.h comments

On Tue, 24 Feb 2004, Matthew Dharm wrote:

> We should also put a comment into the unusual_devs.h file to make sure
> nobody tries to remove the protocol override in the future.

How about this?


 drivers/usb/storage/unusual_devs.h |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:07:08 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:07:08 2004
@@ -619,6 +619,9 @@
  *   are using transport protocol CB.
  * - They don't like the INQUIRY command. So we must handle this command
  *   of the SCSI layer ourselves.
+ * - Some cameras with idProduct=0x1001 and bcdDevice=0x1000 have
+ *   bInterfaceProtocol=0x00 (US_PR_CBI) while others have 0x01 (US_PR_CB).
+ *   So don't remove the US_PR_CB override!
  */
 UNUSUAL_DEV( 0x07cf, 0x1001, 0x1000, 0x9009,
 		"Casio",
